<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Danh Sách Đơn Hàng</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- awesome 6.0.0 -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
  <!--DataTable-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Danh Sách Đơn Hàng</a>
      </li>
    </ul>

  
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Devcamp 123</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">HuongTTK</a>
        </div>
      </div>

     

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link  active">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Danh Sách Đơn Hàng</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index2.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v2</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index3.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v3</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Danh Sách Đơn Hàng</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Danh Sách Đơn Hàng</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container">
            <div class="text-center mt-2 mb-2">
                <h2>Danh Sách Đơn Hàng</h2>
            </div>
            <div class="container bg-info jumbotron">
                <div class="row form-group">
                    <div class="col-sm-5">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Trạng thái Order</label>
                            </div>
                            <div class="col-sm-8">
                                <select id="select-order" class="form-control">
                                    <option value="0">--Hãy chọn trạng thái--</option>
                                    <option value="open">Open</option>
                                    <option value="cancel">Đã hủy</option>
                                    <option value="confirmed">Đã xác nhận</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Loại Pizza</label>
                            </div>
                            <div class="col-sm-8">
                                <select id="select-loai-pizza" class="form-control">
                                    <option value="0">--Hãy cọn loại Pizza--</option>
                                    <option value="Seafood">Hải sản</option>
                                    <option value="Hawaii">Hawaii</option>
                                    <option value="Bacon">Thịt hun khói</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <button id="btn-tim-kiem" class="btn btn-success">Tìm kiếm</button>
                    </div>
                </div>
            </div>
            <br>
            <div class="form-group">
                <button class="btn btn-success" id="btn-add-new-order"><i class="fa fa-plus"></i>&nbsp; Add New
                    Order</button>
            </div>
            <div class="container">
                <table class="table table-bordered table-striped table-hover" id="user-table">
                    <thead class="bg-info">
                        <tr>
                            <th>Order ID</th>
                            <th>Kích cỡ Combo</th>
                            <th>Loại Pizza</th>
                            <th>Nước uống</th>
                            <th>Thành tiền</th>
                            <th>Họ và tên</th>
                            <th>Số điện thoại</th>
                            <th>Trạng thái</th>
                            <th style="width: 150px">Action</th>
                        </tr>
                    </thead>
                </table>
            </div>
    
            <!-- modal -->
            <!-- modal ADD NEW -->
            <div>
                <div id="create-order-modal" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content w3-pale-orange">
                            <div class="modal-header bg-success">
                                <div class="col-sm-12 text-center ml-3">
                                    <button class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title"> <b>ADD NEW ORDER</b> </h4>
                                </div>
                            </div>
                            <div class="modal-body">
                                <!-- kích cỡ -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label> Size </label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select id="select-create-kichCo" class="form-control select2">
                                            <option value="0">--Hãy chọn size Combo--</option>
                                            <option value="S">Small</option>
                                            <option value="M">Medium</option>
                                            <option value="L">Large</option>
                                        </select>
                                    </div>
                                </div>
    
                                <!-- đường kính -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Đường kính</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-create-duong-kinh"
                                            class="form-control bg-white">
                                    </div>
                                </div>
    
                                <!-- sườn -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Sườn</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-create-suon" class="form-control  bg-white">
                                    </div>
                                </div>
    
                                <!-- salad -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Salad</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-create-salad" class="form-control  bg-white">
                                    </div>
                                </div>
    
                                <!-- số lượng nước -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Số lượng nước</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-create-soLuongNuoc"
                                            class="form-control  bg-white">
                                    </div>
                                </div>
    
                                <!-- loại pizza -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Loại Pizza</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select id="select-create-loaiPizza" class="form-control select2">
                                            <option value="0">--Hãy cọn loại Pizza--</option>
                                            <option value="Seafood">Hải sản</option>
                                            <option value="Hawaii">Hawaii</option>
                                            <option value="Bacon">Thịt hun khói</option>
                                        </select>
                                    </div>
                                </div>
    
                                <!-- id loại nước uống -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label> Loại đồ uống </label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select id="select-create-idLoaiNuocUong" class="form-control select2">
                                        </select>
                                    </div>
                                </div>
    
                                <!-- thành tiền -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-thanhTien">Thành tiền</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-create-thanhTien"
                                            class="form-control  bg-white">
                                    </div>
                                </div>
    
                                <!-- id voucher -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-idVourcher"> Vourcher </label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" id="inp-create-idVourcher" class="form-control">
                                    </div>
                                </div>
    
                                <!-- giảm giá -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="discount-inp">Giảm giá</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="discount-inp" class="form-control  bg-white">
                                    </div>
                                </div>
    
                                <!-- họ và tên -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-hoTen">Họ và tên</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" id="inp-create-hoTen" class="form-control">
                                    </div>
                                </div>
    
                                <!-- email -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-email">Email</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" id="inp-create-email" class="form-control">
                                    </div>
                                </div>
    
                                <!-- sdt -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-soDienThoai">Số điện thoại</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" id="inp-create-soDienThoai" class="form-control">
                                    </div>
                                </div>
    
                                <!-- địa chỉ -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-dia-chi">Địa chỉ</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" id="inp-create-dia-chi" class="form-control">
                                    </div>
                                </div>
    
                                <!-- lời nhắn -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label for="inp-update-loiNhan">Lời nhắn</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="text" id="inp-create-loiNhan" class="form-control">
                                    </div>
                                </div>
    
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-success" id="btn-create-order">Create order</button>
                                <button class="btn btn-danger" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- MODAL EDIT -->
            <div>
                <div id="edit-order-modal" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content w3-pale-yellow">
                            <div class="modal-header bg-success">
                                <div class="col-sm-12 text-center ml-3">
                                    <button class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title"> <b>UPDATE ORDER</b> </h4>
                                </div>
                            </div>
                            <div class="modal-body">
    
    
                                <!-- order id -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Mã Order</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-orderId" class="form-control">
                                    </div>
                                </div>
    
                                <!-- họ và tên -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <labell>Họ và tên</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-hoTen" class="form-control">
                                    </div>
                                </div>
    
                                <!-- email -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Email</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-email" class="form-control">
                                    </div>
                                </div>
    
                                <!-- sdt -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Số điện thoại</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-soDienThoai" class="form-control">
                                    </div>
                                </div>
    
                                <!-- địa chỉ -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Địa chỉ</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-dia-chi" class="form-control">
                                    </div>
                                </div>
    
                                <!-- lời nhắn -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Lời nhắn</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-loiNhan" class="form-control">
                                    </div>
                                </div>
    
                                <!-- kích cỡ -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label> Size </label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-kichCo" class="form-control">
                                    </div>
                                </div>
                                <!-- đường kính -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Đường kính</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-duong-kinh" class="form-control">
                                    </div>
                                </div>
                                <!-- sườn -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Sườn</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-suon" class="form-control">
                                    </div>
                                </div>
                                <!-- salad -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Salad</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-salad" class="form-control">
                                    </div>
                                </div>
                                <!-- số lượng nước -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Số lượng nước</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-soLuongNuoc" class="form-control">
                                    </div>
                                </div>
    
                                <!-- loại pizza -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Loại Pizza</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-loaiPizza" class="form-control">
                                    </div>
                                </div>
                                <!-- id loại nươc uóng -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Loại đồ uống</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-idLoaiNuocUong" class="form-control">
                                    </div>
                                </div>
    
                                <!-- thành tiền -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Thành tiền</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-thanhTien" class="form-control">
                                    </div>
                                </div>
    
                                <!-- id voucher -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Voucher</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-idVourcher" class="form-control">
                                    </div>
                                </div>
    
                                <!-- giảm giá -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Giảm Giá</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-giamGia" class="form-control">
                                    </div>
                                </div>
    
                                <!-- ngày tạo -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Ngày tạo</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-ngayTao" class="form-control">
                                    </div>
                                </div>
    
                                <!-- ngày cập nhật -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Ngày cập nhật</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input readonly type="text" id="inp-edit-ngayCapNhat" class="form-control">
                                    </div>
                                </div>
    
                                <!-- trạng thái -->
                                <div class="row form-group">
                                    <div class="col-sm-4">
                                        <label>Trạng thái</label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="inp-edit-trangThai">
                                            <option value="open">Open</option>
                                            <option value="confirmed"> Xác nhận đơn hàng</option>
                                            <option value="cancel"> Hủy đơn hàng</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-success" id="btn-confirm">Confirm</button>
                                <button class="btn btn-danger" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
             <!-- MODAL    DELETE -->
             <div>
                <div id="delete-order-modal" class="modal fade" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title text-danger"> <b>Delete Order</b> </h3>
                                <button class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body w3-red">
                                <form>
                                    <div class="row form-group">
                                        <div class="col-sm-12 text-center">
                                            <h3><b>Bạn có chắc muốn xóa đơn hàng này không ?</b></h3>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-danger" id="btn-modal-delete">Xóa đơn hàng</button>
                                <button class="btn btn-success" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    
 

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
  </footer>

 
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Select2 -->
<script src="plugins/select2/js/select2.full.min.js"></script>
<!--DataTable-->
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<script>
  "use strict";
  $(document).ready(function () {
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      var gNameCols = ["orderId", "kichCo", "loaiPizza", "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "action",];
      const gORDER_ID_COL = 0;
      const gORDER_KICH_CO_COL = 1;
      const gORDER_LOAI_PIZZA_COL = 2;
      const gORDER_LOAI_NUOC_UONG_COL = 3;
      const gORDER_THANH_TIEN_COL = 4;
      const gORDER_HO_TEN_COL = 5;
      const gORDER_PHONE_COL = 6;
      const gORDER_TRANG_THAI_COL = 7;
      const gORDER_ACTION_COL = 8;

      var gDataOrder = null;
      var gCombo = [{
          kichCo: "S",
          duongKinh: 20,
          suon: 2,
          salad: "200g",
          soLuongNuoc: 2,
          thanhTien: 150000,
      }, {
          kichCo: "M",
          duongKinh: 25,
          suon: 4,
          salad: "300g",
          soLuongNuoc: 3,
          thanhTien: 200000,
      }, {
          kichCo: "L",
          duongKinh: 30,
          suon: 8,
          salad: "500g",
          soLuongNuoc: 4,
          thanhTien: 250000,
      }];
      var gOrder = "";
      var gOrderId = "";
      var gId = "";

      var gVoucherID = [];
      var gThanhTien = [];
      /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
      // gán sự kiện tải trang
      onPageLoading();

      // gán sự kiện lọc dữ liệu
      $("#btn-tim-kiem").on("click", filterData);

      //ADD NEW
      //  C: Gán sự kiện Create - Thêm mới đơn hàng
      $("#btn-add-new-order").on("click", onBtnAddNewOrderClick)

      // gán sự kiện cho nút Insert (trên modal) Create
      $("#btn-create-order").on('click', function () {
          onBtnCreateClick();
      });

      //UPDATE
      //  C: Gán sự kiện UPDATE - Sửa thông tin đơn hàng
      $("#user-table").on("click", ".btn-edit", function () {
          onBtnEditClick(this);
      })
      // gán sự kiện cho nút Confirm (trên modal) Update
      $("#btn-confirm").on('click', function () {
          onBtnConfirmClick();
      });

      //DELETE
      //  C: Gán sự kiện DELETE - Xóa thông tin đơn hàng
      $("#user-table").on("click", ".btn-delete", function () {
          onBtnDeleteClick(this);
      })
      // gán sự kiện cho nút Xóa (trên modal) Delete
      $("#btn-modal-delete").on('click', function () {
          onBtnDeleteModalClick();
      });

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      // Hàm xử lý sự kiện khi tải trang
      function onPageLoading() {
          // gọi call Api để nhận danh sách đơn hàng
          callApiGetDataListOrder();
          // load dữ liệu vào dataTable
          loadDataToTable();
      };
      // Hàm xử lý sự kiện khi ấn nút Add New Order
      function onBtnAddNewOrderClick() {
          // gọi Api để nhận dữ liệu loại nước uống
          callApiGetDrink();
          // Hiển thị Modal lên
          $("#create-order-modal").modal("show");
      };
      ///////   CREATE  /////////
      ////Hàm xử lý sự kiện create
      function onBtnCreateClick() {

          var vNewOrder = {
              kichCo: "",
              duongKinh: 0,
              suon: 0,
              salad: 0,
              loaiPizza: "",
              idVourcher: 0,
              idLoaiNuocUong: "",
              soLuongNuoc: 0,
              hoTen: "",
              thanhTien: 0,
              email: "",
              soDienThoai: "",
              diaChi: "",
              loiNhan: ""
          }

          // thu thập dữ liệu
          getDataCreateOrder(vNewOrder);

          // kiểm tra thông tin đơn hàng
          var vCheck = validateDataNewOrder(vNewOrder);

          if (vCheck) {
              // call api tạo mới order
              callAPiCreateOrder(vNewOrder);
              //gọi hàm hiển thị lên dataTable
              hienThiDataToTable(gDataOrder);
              //xóa trắng dữ liệu trên form modal
              resetAddCreateOrderForm();
              // Ẩn modal
              $("#create-order-modal").modal("hide");
          }
      };

              
      ///// Nút EDIT  //////
      // Hàm xử lý sự kiện khi ấn nút Edit
      function onBtnEditClick(paramData) {
          // lấy order id và id của order
          getOrderIdAndId(paramData);
          // call api lấy thông tin order
          callApiGetDataOrder();
          // hiện modal
          $("#edit-order-modal").modal("show");
      };
      function onBtnConfirmClick() {

          var vStatus = {
                  trangThai: ""
              }
          // thu thập thông tin order update trạng thái
          getDataOrderByModal(vStatus);
          // gọi api confirm order
          callApiUpdateOrder(vStatus);
           //gọi hàm hiển thị lên dataTable
           hienThiDataToTable(gDataOrder);

          $("#edit-order-modal").modal("hide");

      }
      
      /////NÚT DELETE/////
      //Hàm xử lý sự kiện khi ấn nút delete
      function onBtnDeleteClick(paramData) {
          // lấy order id và id của order
          getOrderIdAndId(paramData);
          $("#delete-order-modal").modal("show")
      };
      function onBtnDeleteModalClick() {
          // call api xóa order
          callApiDeleteOrder();
           //gọi hàm hiển thị lên dataTable
           hienThiDataToTable(gDataOrder);
           // Ẩn modal
          $("#delete-order-modal").modal("hide")
      }

      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      // HÀM LOAD DỮ LIỆU VÀO TABLE
      function loadDataToTable() {
          "use strict";
          $("#user-table").DataTable({
              columns: [
                  { data: gNameCols[gORDER_ID_COL] },
                  { data: gNameCols[gORDER_KICH_CO_COL] },
                  { data: gNameCols[gORDER_LOAI_PIZZA_COL] },
                  { data: gNameCols[gORDER_LOAI_NUOC_UONG_COL] },
                  { data: gNameCols[gORDER_THANH_TIEN_COL] },
                  { data: gNameCols[gORDER_HO_TEN_COL] },
                  { data: gNameCols[gORDER_PHONE_COL] },
                  { data: gNameCols[gORDER_TRANG_THAI_COL] },
                  { data: gNameCols[gORDER_ACTION_COL] },
              ],
              columnDefs: [
                  {
                      targets: gORDER_ACTION_COL, //cột Action
                      className: "text-center",
                      defaultContent: `
                          <button class='btn btn-success btn-edit'><i class='fa-solid fa-pencil'></i>Edit</button>
                          <button class='btn btn-danger btn-delete'><i class='fa-solid fa-trash-can'></i> Xóa</button>"
                      `
                  },
              ],
          });
      };

      // Hàm gọi Api để lấy dữ liệu
      function callApiGetDataListOrder() {
          $.ajax({
              url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
              type: "GET",
              dataType: "json",
              success: function (responseObject) {
                  //debugger;
                  gDataOrder = responseObject;
                  console.log(gDataOrder);
                  // hiênt hị dữ liệu
                  hienThiDataToTable(gDataOrder);
              },
              error: function (error) {
                  console.assert(error.responseText);
              },
          });
      };
      // hàm hiển thị dữ liệu lên bảng
      function hienThiDataToTable(paramObjResult) {
          "use strict";
          var vTable = $("#user-table").DataTable(); // Truy xuất DataTable
          vTable.clear(); // Xóa dữ liệu cũ trước khi thêm mới
          vTable.rows.add(paramObjResult); // Thêm các dòng dữ liệu vào DataTable
          vTable.draw(); // Vẽ lại DataTable
      };
      // Hàm lọc dữ liệu
      function filterData() {
          var vSelectOrderStatus = $("#select-order").val();
          var vSelectOrderPizzaName = $("#select-loai-pizza").val();
          var paramFilterDataObj = {
              status: vSelectOrderStatus,
              pizzatype: vSelectOrderPizzaName,
          };
          var vUserResult = [];
          vUserResult = gDataOrder.filter(function (paramUser) {
              return (
                  (paramFilterDataObj.status === paramUser.trangThai || paramFilterDataObj.status === "0")
                  && (paramFilterDataObj.pizzatype === paramUser.loaiPizza || paramFilterDataObj.pizzatype === "0")
              );
          });
          console.log(vUserResult);
          hienThiDataToTable(vUserResult);
          return vUserResult;
      };
      // hàm chuyển đổi khi select kích cỡ thay đổi
      $("#select-create-kichCo").on("change", function () {
          // gán dữ liệu vào ô input
          addDataToInput()
      })
      // hàm gán dữ liệu vào ô input khi chọn kích cỡ menu
      function addDataToInput() {

          for (var i = 0; i < gCombo.length; i++) {

              if ($("#select-create-kichCo").val() === "0") {
                  $("#inp-create-duong-kinh").val("");
                  $("#inp-create-suon").val("");
                  $("#inp-create-salad").val("");
                  $("#inp-create-soLuongNuoc").val("");
                  $("#inp-create-thanhTien").val("");
              }

              if ($("#select-create-kichCo").val() === gCombo[i].kichCo) {
                  $("#inp-create-duong-kinh").val(gCombo[i].duongKinh);
                  $("#inp-create-suon").val(gCombo[i].suon);
                  $("#inp-create-salad").val(gCombo[i].salad);
                  $("#inp-create-soLuongNuoc").val(gCombo[i].soLuongNuoc);
                  $("#inp-create-thanhTien").val(gCombo[i].thanhTien);
                  gThanhTien = gCombo[i].thanhTien;

              }
          }
      };
      // Call API đổ dữ liệu vào select drink
      function callApiGetDrink() {
          var vBASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/drinks";
          $.ajax({
              url: vBASE_URL,
              type: "GET",
              success: function (response) {
                  loadDataDirkToSelect(response);
              },
              error: function (error) {
                  console.log(error.status)
              }
          })
      };
      // hàm load dữ liệu nước uống vào select'
      function loadDataDirkToSelect(paramDrink) {
          $("#select-create-idLoaiNuocUong").append(`<option value="0">Hãy chọn loại đồ uống</option>`)
          for (var i = 0; i < paramDrink.length; i++) {
              $("#select-create-idLoaiNuocUong").append(`<option value="${paramDrink[i].maNuocUong}">${paramDrink[i].tenNuocUong}</option>`)
          }
      };

      // hàm xử lý sự kiện khi nhập Voucher
      $("#inp-create-idVourcher").on('input', function () {
          readDataVoucher();
          if (gVoucherID.length >= 5) {
              callApiVoucher();
          }
      })
      //Hàm đọc dữ liệu Voucher
      function readDataVoucher() {
          gVoucherID = $("#inp-create-idVourcher").val();
      };
      // HÀm gọi Api để nhận dữ liệu Voucher
      function callApiVoucher() {
          $.ajax({
              url: "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/" + gVoucherID,
              type: "GET",
              dataType: "json",
              async: false,
              success: function (res) {
                  console.log(res);
                  handleDiscount(res);
              },
              error: function (error) {
                  console.log(error);
                  alert("Mã voucher không đúng vui lòng nhập lại!");
                  $("#discount-inp").val("0 VND");
              }
          })
      };
      //Hàm xử lý tính tiền
      function handleDiscount(paramdiscount) {
          var vDiscount = paramdiscount.phanTramGiamGia;
          var vGiamGia = (gThanhTien * vDiscount) * 0.01;
          $("#discount-inp").val(vGiamGia + " VND");
      };


      // hàm thu thập dữ liệu tạo order mới
      function getDataCreateOrder(paramNewOrder) {

          paramNewOrder.kichCo = $("#select-create-kichCo option:selected").val();
          paramNewOrder.duongKinh = $("#inp-create-duong-kinh").val().trim();
          paramNewOrder.suon = $("#inp-create-suon").val().trim();
          paramNewOrder.salad = $("#inp-create-salad").val().trim();
          paramNewOrder.loaiPizza = $("#select-create-loaiPizza option:selected").val();
          paramNewOrder.idVourcher = $("#inp-create-idVourcher").val().trim();
          paramNewOrder.idLoaiNuocUong = $("#select-create-idLoaiNuocUong option:selected").val();
          paramNewOrder.soLuongNuoc = $("#inp-create-soLuongNuoc").val().trim();
          paramNewOrder.hoTen = $("#inp-create-hoTen").val().trim();
          paramNewOrder.thanhTien = $("#inp-create-thanhTien").val().trim();
          paramNewOrder.email = $("#inp-create-email").val().trim();
          paramNewOrder.soDienThoai = $("#inp-create-soDienThoai").val().trim();
          paramNewOrder.diaChi = $("#inp-create-dia-chi").val().trim();
          paramNewOrder.loiNhan = $("#inp-create-loiNhan").val().trim();
      }

      // hàm kiểm tra thông tin trước khi tạo order
      function validateDataNewOrder(paramNewOrder) {
          var vCheckEmail = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;

          if (paramNewOrder.kichCo == "0") {
              alert("hãy chọn kích cỡ Combo!");
              return false;
          }
          if (paramNewOrder.loaiPizza == "0") {
              alert("hãy chọn loại pizza!");
              return false;
          }
          if (paramNewOrder.idLoaiNuocUong == "0") {
              alert("hãy chọn loại nước uống!");
              return false;
          }
          if (paramNewOrder.idVourcher != "") {
              if (isNaN(paramNewOrder.idVourcher)) {
                  alert("Mã voucher là số!");
                  return false;
              }
          }       
          if (isNaN(paramNewOrder.hoTen) == false || paramNewOrder.hoTen == "") {
              alert("hãy nhập tên của bạn!");
              return false;
          }
          if (vCheckEmail.test(paramNewOrder.email)) { } else {
              alert("Email không hợp lệ!")
              return false;
          }
          if (paramNewOrder.soDienThoai == "" || isNaN(paramNewOrder.soDienThoai) == true) {
              alert("hãy nhập số điện thoại!");
              return false;
          }
          if (paramNewOrder.diaChi == "") {
              alert("hãy nhập địa chỉ!");
              return false;
          }
          return true;
      }
      // call api tạo mới order
      function callAPiCreateOrder(paramNewOrder) {
          $.ajax({
              url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
              type: "POST",
              contentType: "application/json",
              data: JSON.stringify(paramNewOrder),
              success: function (response) {
                  var vResponseString = JSON.stringify(response);
                  alert("Tạo đơn hàng thành công");
                  location.reload();
              },
              error: function (error) {
                  console.log(error.status)
              }
          })
      };
      // Hàm xóa trắng (reset) form Create modal
      function resetAddCreateOrderForm() {
          "use strict";
          $("#select-create-kichCo").val("0");
          $("#inp-create-duong-kinh").val("");
          $("#inp-create-suon").val("");
          $("#inp-create-salad").val("");
          $("#select-create-loaiPizza").val("");
          $("#inp-create-idVourcher").val("");
          $("#select-create-idLoaiNuocUong").val("");
          $("#inp-create-soLuongNuoc").val("");
          $("#inp-create-hoTen").val("");
          $("#inp-create-thanhTien").val("");
          $("#inp-create-email").val("");
          $("#inp-create-soDienThoai").val("")
          $("#inp-create-dia-chi").val("");
          $("#inp-create-loiNhan").val("")
      };
      ///// Nút EDIT//////
      // lấy order id và id của order
      function getOrderIdAndId(paramUpdate) {
          var vCurrentRow = $(paramUpdate).closest("tr");
          var vTable = $("#user-table").DataTable();
          var vDataResult = vTable.row(vCurrentRow).data();
          gOrderId = vDataResult.orderId;
          gId = vDataResult.id;
          console.log(vDataResult)
          console.log("orderID: " + gOrderId);
          console.log("ID: " + gId);
      };
      // hàm lấy thông tin order dựa vào modal
      function getDataOrderByModal(paramTrangThai) {
          paramTrangThai.trangThai = $("#inp-edit-trangThai").val();
      }
      // call api lấy thông tin order
      function callApiGetDataOrder() {
          $.ajax({
              url: "http://42.115.221.44:8080/devcamp-pizza365/orders" + "/" + gOrderId,
              type: "GET",
              success: function(response) {
                  console.log(response)
                  gOrder = response;
                  // hiển thị thông tin lên modal Edit
                  showDataOrderDetailToModal(response);
              },
              error: function(error) {
                  console.log(error.status);
              }
          })
      }
      // hiển thị thông tin lên modal Edit
      function showDataOrderDetailToModal(paramOrderDetail) {

          $("#inp-edit-kichCo").val(paramOrderDetail.kichCo);
          $("#inp-edit-duong-kinh").val(paramOrderDetail.duongKinh);
          $("#inp-edit-orderId").val(paramOrderDetail.orderId);
          $("#inp-edit-suon").val(paramOrderDetail.suon);
          $("#inp-edit-salad").val(paramOrderDetail.salad);
          $("#inp-edit-loaiPizza").val(paramOrderDetail.loaiPizza);
          $("#inp-edit-idVourcher").val(paramOrderDetail.idVourcher);
          $("#inp-edit-idLoaiNuocUong").val(paramOrderDetail.idLoaiNuocUong);
          $("#inp-edit-soLuongNuoc").val(paramOrderDetail.soLuongNuoc);
          $("#inp-edit-giamGia").val(paramOrderDetail.giamGia);
          $("#inp-edit-thanhTien").val(paramOrderDetail.thanhTien);
          $("#inp-edit-hoTen").val(paramOrderDetail.hoTen);
          $("#inp-edit-email").val(paramOrderDetail.email);
          $("#inp-edit-dia-chi").val(paramOrderDetail.diaChi);
          $("#inp-edit-soDienThoai").val(paramOrderDetail.soDienThoai);
          $("#inp-edit-loiNhan").val(paramOrderDetail.loiNhan);
          $("#inp-edit-ngayTao").val((paramOrderDetail.ngayTao));
          $("#inp-edit-ngayCapNhat").val((paramOrderDetail.ngayCapNhat));
          $("#inp-edit-trangThai").val(paramOrderDetail.trangThai);
      };
      
      // call api confirm order
      function callApiUpdateOrder(paramTrangThai) {
          console.log(paramTrangThai);
          console.log(gId)
          $.ajax({
              url: "http://42.115.221.44:8080/devcamp-pizza365/orders" + "/" + gId,
              type: "PUT",
              async: false,
              contentType: "application/json",
              data: JSON.stringify(paramTrangThai),
              success: function(response) {
                  alert("Update trạng thái thành công")
                  console.log(response);
                  location.reload();
              },
              error: function(error) {
                  console.log(error.status);
              }
          })
      }
      
      //// NÚT DELETE////
      // call api xóa order
      function callApiDeleteOrder() {
          $.ajax({
              url: "http://42.115.221.44:8080/devcamp-pizza365/orders" + "/" + gId,
              type: "DELETE",
              success: function(response) {
                  console.log(response)

                  location.reload();
              },
              error: function(error) {
                  console.log(error.status)
              }
          })
      }
  });

</script>
</body>
</html>
